#include<bits/stdc++.h>
using namespace std;

int main(){
	long long int t,i,j;
	cin>>t;
	vector<double>a(1000),n(1000),b(1000);
	for(i=0;i<t;i++){ cin>>n[i];
	for(j=0;j<n[i];j++) cin>>a[j];
	for(j=0;j<n[i];j++) b[j]=j;
	for(j=0;j<n[i];j++) cout<<b[j]<<" ";cout<<endl;
	}
}
